Name:		xpad
Version:	4.0
Release:	6%{?dist}
Summary:	Sticky notepad for GTK+2

Group:		User Interface/Desktops
License:	GPLv3+
URL:		http://xpad.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576770
# http://patch-tracker.debian.org/patch/series/view/xpad/4.0-5/576770.diff
Patch0:         xpad-4.0-remove-GTK_WINDOW_TOPLEVEL.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel libSM-devel gettext desktop-file-utils intltool

%description
Xpad is a sticky note application that strives to be simple, fault-tolerant, 
and customizable. It consists of independent pad windows; each is basically a 
text box in which notes can be written. Despite being called xpad, all that is
needed to run or compile it is the GTK+ 2.0 libraries.

%prep
%setup -q
%patch0 -p1 -b .remove-GTK_WINDOW_TOPLEVEL


%build
%configure

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

# desktop file stuff
desktop-file-install --vendor="fedora" \
	--delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*

%changelog
* Mon May 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 4.0-6
- Fix for GTK_WINDOW_TOPLEVEL by Bart Martens (Debian #576770)

* Sat Oct 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.0-5
- Remove autostart again. Doesn't work properly and is annoying on Live CDs
- Spec file clean-ups

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-3
- Add autostart
- Add new icon cache scriptlets
- Fix macros

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-2
- Add BR intltool

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-1
- Update to new upstream version 4.0

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 10 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 3.0-1
- Update to new upstream version 3.0
- Upstream: Doesn't wake up every 20 milliseconds
- Upstream: Added some command line options (--hide, --show)
- Upstream: Update icon a bit
- Change license to GPLv3+

* Fri Jul 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-2
- description fixed
- Add doc NEWS, THANKS and TODO
- Add Requires: hicolor-icon-theme
- Remove BuildRequires: libICE-devel

* Fri Jul 11 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-1
- Initial SPEC file
